<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="bg-white border border-top-0 d-flex flex-row flex-nowrap">
  <div class="d-flex flex-column">
    <ul class="flex-column pt-3 nav-tabs list-group list-group-flush">

      <li
        *ngFor="let menuRow of menuRows"
        class="list-group-item text-nowrap px-3"
        routerLinkActive="active"
        [routerLink]="menuRow.route">
        {{ menuRow.label }}
      </li>

    </ul>

    <div class="form-group pt-5 px-3 border-top">
      <span class="fw-bold mb-3" [innerText]="messages.TENANT_SELECTOR_LABEL"></span>
      <ng-select
        id="type"
        name="type"
        class="mt-2"
        [(ngModel)]="selectedIpngEntity"
        [clearable]="false"
        [notFoundText]="commonMessages.NOT_FOUND"
        (ngModelChange)="onIpngEntitySelectionChanged($event)"
        [virtualScroll]="false"
        required>
        <ng-option
          *ngFor="let entity of ipngEntityList"
          [value]="entity"
          [innerText]="entity | ipngEntityName"></ng-option>
      </ng-select>
    </div>

    <ul class="flex-column pt-3 nav-tabs list-group list-group-flush">

      <li
        *ngFor="let menuRow of tenantMenuRows"
        class="list-group-item text-nowrap {{ !selectedIpngEntity ? 'disabled_link' : '' }}"
        [routerLinkActive]="!!selectedIpngEntity ? 'active' : ''"
        [routerLink]="!!selectedIpngEntity ? [selectedIpngEntity?.id, menuRow.route] : null">
        {{ menuRow.label }}
      </li>
    </ul>
  </div>

  <div class="flex-grow-1">
    <router-outlet></router-outlet>
  </div>
</div>
